% Define HasInterfaceF() function
% Returns whether the given interface is specified in the chromosome

function specified = HasInterfaceF( ...
    architecture,numSystems,directedInterfaces,i,j)

% If same system
if (i == j)
    specified = false;
else
    % Index of interface in chromosome
    if (directedInterfaces)
        if (j < i)
            jj = j+1;
        else
            jj = j;
        end
        k = i*(numSystems-1) + jj;
    else
        m = min(i,j);
        k = m*numSystems - m*(m-1)/2 + abs(i-j);
    end
    % Return whether interface is specified
    specified = architecture(k);
end
